package user

import (
	"net/http"

	"tyc-server/app/main/api/internal/logic/user"
	"tyc-server/app/main/api/internal/svc"
	"tyc-server/common/result"
)

func DetailHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := user.NewDetailLogic(r.Context(), svcCtx)
		resp, err := l.Detail()
		result.HttpResult(r, w, resp, err)
	}
}
